import { Element } from '../../../../../client/element';
import { System } from '../../../../../system';
import { Dict } from '../../../../../types/Dict';
import Div from '../../Div/Component';
export interface Props {
    className?: string;
    style?: Dict<string>;
    icon?: string;
    title?: string;
    shortcut?: string;
}
export declare const TOOLTIP_WIDTH = 30;
export declare const TOOLTIP_HEIGHT = 30;
export declare const DEFAULT_STYLE: {
    position: string;
    minWidth: string;
    width: string;
    height: string;
    margin: string;
    background: string;
    borderRadius: string;
    border: string;
};
export default class Tooltip extends Element<HTMLDivElement, Props> {
    _tooltip: Div;
    constructor($props: Props, $system: System);
    onPropChanged(prop: string, current: any): void;
    show(x: number, y: number): void;
    hide(): void;
    private _context_unlisten;
    private _refresh_background_color;
    onMount(): void;
    onUnmount(): void;
}
